Subject: bug#15629: closed (Re: bug#15629: TTY Menu, redundant check marks in the menu bar)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 17 Oct 2013 02:46:03 +0000

Your bug report

#15629: TTY Menu, redundant check marks in the menu bar

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
15629: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=15629
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#15629: TTY Menu, redundant check marks in the menu bar
From: Eli Zaretskii <[email-masked]>
To: Darren Hoo <[email-masked]>
Cc: [email-masked]
Date: Thu, 17 Oct 2013 05:45:26 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Thu, 17 Oct 2013 09:42:39 +0800
> From: Darren Hoo <[email-masked]>
> Cc: [email-masked]
> 
> On Wed, Oct 16, 2013 at 11:11 PM, Eli Zaretskii <[email-masked]> wrote:
> 
> > It's a bug.  But you didn't report any details about your build
> > collected by "M-x report-emacs-bug", so I can only guess what was the
> > reason for that.  If I guessed correctly, trunk revision 114685 should
> > fix this for you.  If not, please report the missing details, and also
> > see what is going on in the function have_boxes defined in menu.c,
> > when the Options menu is dropped down.
> 
> Thanks!
> It fixed for me.

Thanks, closing.

Subject: TTY Menu, redundant check marks in the menu bar
From: Darren Hoo <[email-masked]>
To: [email-masked]
Date: Wed, 16 Oct 2013 18:35:43 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

The feature TTY Menu is great though I myself have yet made it work here.
I noticed that there are two check marks √/x for each selected(enabled)
item in the menu bar of windowing system.  A screenshot is attached,
Isn't  “x” here in windowing system redundant?